<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{0233AC44-1173-45D9-A2DE-514886BD0EB7}</ProjectGuid>
    <RootNamespace>cuda_learning</RootNamespace>
    <WindowsTargetPlatformVersion>10.0.17134.0</WindowsTargetPlatformVersion>
    <ProjectName>cuda-drr-socket</ProjectName>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v141</PlatformToolset>
    <UseOfMfc>Static</UseOfMfc>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
    <Import Project="$(VCTargetsPath)\BuildCustomizations\CUDA 11.0.props" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
    <IncludePath>D:\QT\SanTan\SanTan\include_debug;D:\QT\eigen-3.3.7\eigen-debug\include\eigen3;$(IncludePath)</IncludePath>
    <LibraryPath>D:\QT\SanTan\SanTan\lib_debug;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <IncludePath>..\cuda-drr-socket\include_release;$(IncludePath)</IncludePath>
    <LibraryPath>../cuda-drr-socket\lib_release;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;WIN64;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <OpenMPSupport>true</OpenMPSupport>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Console</SubSystem>
      <AdditionalDependencies>ITKBiasCorrection-5.0.lib;ITKCommon-5.0.lib;ITKDICOMParser-5.0.lib;itkdouble-conversion-5.0.lib;ITKEXPAT-5.0.lib;itkgdcmcharls-5.0.lib;itkgdcmCommon-5.0.lib;itkgdcmDICT-5.0.lib;itkgdcmDSED-5.0.lib;itkgdcmIOD-5.0.lib;itkgdcmjpeg12-5.0.lib;itkgdcmjpeg16-5.0.lib;itkgdcmjpeg8-5.0.lib;itkgdcmMEXD-5.0.lib;itkgdcmMSFF-5.0.lib;itkgdcmopenjp2-5.0.lib;itkgdcmsocketxx-5.0.lib;ITKgiftiio-5.0.lib;ITKIOBioRad-5.0.lib;ITKIOBMP-5.0.lib;ITKIOBruker-5.0.lib;ITKIOCSV-5.0.lib;ITKIOGDCM-5.0.lib;ITKIOGE-5.0.lib;ITKIOGIPL-5.0.lib;ITKIOHDF5-5.0.lib;ITKIOImageBase-5.0.lib;ITKIOIPL-5.0.lib;ITKIOJPEG-5.0.lib;ITKIOJPEG2000-5.0.lib;ITKIOLSM-5.0.lib;ITKIOMeshBase-5.0.lib;ITKIOMeshBYU-5.0.lib;ITKIOMeshFreeSurfer-5.0.lib;ITKIOMeshGifti-5.0.lib;ITKIOMeshOBJ-5.0.lib;ITKIOMeshOFF-5.0.lib;ITKIOMeshVTK-5.0.lib;ITKIOMeta-5.0.lib;ITKIOMINC-5.0.lib;ITKIOMRC-5.0.lib;ITKIONIFTI-5.0.lib;ITKIONRRD-5.0.lib;ITKIOPNG-5.0.lib;ITKIOSiemens-5.0.lib;ITKIOSpatialObjects-5.0.lib;ITKIOStimulate-5.0.lib;ITKIOTIFF-5.0.lib;ITKIOTransformBase-5.0.lib;ITKIOTransformHDF5-5.0.lib;ITKIOTransformInsightLegacy-5.0.lib;ITKIOTransformMatlab-5.0.lib;ITKIOVTK-5.0.lib;ITKIOXML-5.0.lib;itkjpeg-5.0.lib;ITKKLMRegionGrowing-5.0.lib;ITKLabelMap-5.0.lib;itklbfgs-5.0.lib;ITKMesh-5.0.lib;ITKMetaIO-5.0.lib;itkminc2-5.0.lib;itknetlib-5.0.lib;itkNetlibSlatec-5.0.lib;ITKniftiio-5.0.lib;ITKNrrdIO-5.0.lib;itkopenjpeg-5.0.lib;ITKOptimizers-5.0.lib;ITKOptimizersv4-5.0.lib;ITKPath-5.0.lib;itkpng-5.0.lib;ITKPolynomials-5.0.lib;ITKQuadEdgeMesh-5.0.lib;ITKSpatialObjects-5.0.lib;ITKStatistics-5.0.lib;itksys-5.0.lib;ITKTestKernel-5.0.lib;itktestlib-5.0.lib;itktiff-5.0.lib;ITKTransform-5.0.lib;ITKTransformFactory-5.0.lib;itkv3p_netlib-5.0.lib;itkvcl-5.0.lib;ITKVideoCore-5.0.lib;ITKVideoIO-5.0.lib;itkvnl-5.0.lib;ITKVNLInstantiation-5.0.lib;itkvnl_algo-5.0.lib;ITKVTK-5.0.lib;ITKWatersheds-5.0.lib;itkzlib-5.0.lib;ITKznz-5.0.lib;libitkhdf5_cpp_D.lib;libitkhdf5_D.lib;vtkChartsCore-8.2.lib;vtkCommonColor-8.2.lib;vtkCommonComputationalGeometry-8.2.lib;vtkCommonCore-8.2.lib;vtkCommonDataModel-8.2.lib;vtkCommonExecutionModel-8.2.lib;vtkCommonMath-8.2.lib;vtkCommonMisc-8.2.lib;vtkCommonSystem-8.2.lib;vtkCommonTransforms-8.2.lib;vtkDICOMParser-8.2.lib;vtkDomainsChemistry-8.2.lib;vtkDomainsChemistryOpenGL2-8.2.lib;vtkdoubleconversion-8.2.lib;vtkexodusII-8.2.lib;vtkexpat-8.2.lib;vtkFiltersAMR-8.2.lib;vtkFiltersCore-8.2.lib;vtkFiltersExtraction-8.2.lib;vtkFiltersFlowPaths-8.2.lib;vtkFiltersGeneral-8.2.lib;vtkFiltersGeneric-8.2.lib;vtkFiltersGeometry-8.2.lib;vtkFiltersHybrid-8.2.lib;vtkFiltersHyperTree-8.2.lib;vtkFiltersImaging-8.2.lib;vtkFiltersModeling-8.2.lib;vtkFiltersParallel-8.2.lib;vtkFiltersParallelImaging-8.2.lib;vtkFiltersPoints-8.2.lib;vtkFiltersProgrammable-8.2.lib;vtkFiltersSelection-8.2.lib;vtkFiltersSMP-8.2.lib;vtkFiltersSources-8.2.lib;vtkFiltersStatistics-8.2.lib;vtkFiltersTexture-8.2.lib;vtkFiltersTopology-8.2.lib;vtkFiltersVerdict-8.2.lib;vtkfreetype-8.2.lib;vtkGeovisCore-8.2.lib;vtkgl2ps-8.2.lib;vtkglew-8.2.lib;vtkGUISupportQt-8.2.lib;vtkGUISupportQtSQL-8.2.lib;vtkhdf5-8.2.lib;vtkhdf5_hl-8.2.lib;vtkImagingColor-8.2.lib;vtkImagingCore-8.2.lib;vtkImagingFourier-8.2.lib;vtkImagingGeneral-8.2.lib;vtkImagingHybrid-8.2.lib;vtkImagingMath-8.2.lib;vtkImagingMorphological-8.2.lib;vtkImagingSources-8.2.lib;vtkImagingStatistics-8.2.lib;vtkImagingStencil-8.2.lib;vtkInfovisCore-8.2.lib;vtkInfovisLayout-8.2.lib;vtkInteractionImage-8.2.lib;vtkInteractionStyle-8.2.lib;vtkInteractionWidgets-8.2.lib;vtkIOAMR-8.2.lib;vtkIOAsynchronous-8.2.lib;vtkIOCityGML-8.2.lib;vtkIOCore-8.2.lib;vtkIOEnSight-8.2.lib;vtkIOExodus-8.2.lib;vtkIOExport-8.2.lib;vtkIOExportOpenGL2-8.2.lib;vtkIOExportPDF-8.2.lib;vtkIOGeometry-8.2.lib;vtkIOImage-8.2.lib;vtkIOImport-8.2.lib;vtkIOInfovis-8.2.lib;vtkIOLegacy-8.2.lib;vtkIOLSDyna-8.2.lib;vtkIOMINC-8.2.lib;vtkIOMovie-8.2.lib;vtkIONetCDF-8.2.lib;vtkIOParallel-8.2.lib;vtkIOParallelXML-8.2.lib;vtkIOPLY-8.2.lib;vtkIOSegY-8.2.lib;vtkIOSQL-8.2.lib;vtkIOTecplotTable-8.2.lib;vtkIOVeraOut-8.2.lib;vtkIOVideo-8.2.lib;vtkIOXML-8.2.lib;vtkIOXMLParser-8.2.lib;vtkjpeg-8.2.lib;vtkjsoncpp-8.2.lib;vtklibharu-8.2.lib;vtklibxml2-8.2.lib;vtklz4-8.2.lib;vtklzma-8.2.lib;vtkmetaio-8.2.lib;vtkNetCDF-8.2.lib;vtkogg-8.2.lib;vtkParallelCore-8.2.lib;vtkpng-8.2.lib;vtkproj-8.2.lib;vtkpugixml-8.2.lib;vtkRenderingAnnotation-8.2.lib;vtkRenderingContext2D-8.2.lib;vtkRenderingContextOpenGL2-8.2.lib;vtkRenderingCore-8.2.lib;vtkRenderingFreeType-8.2.lib;vtkRenderingGL2PSOpenGL2-8.2.lib;vtkRenderingImage-8.2.lib;vtkRenderingLabel-8.2.lib;vtkRenderingLOD-8.2.lib;vtkRenderingOpenGL2-8.2.lib;vtkRenderingQt-8.2.lib;vtkRenderingVolume-8.2.lib;vtkRenderingVolumeOpenGL2-8.2.lib;vtksqlite-8.2.lib;vtksys-8.2.lib;vtktheora-8.2.lib;vtktiff-8.2.lib;vtkverdict-8.2.lib;vtkViewsContext2D-8.2.lib;vtkViewsCore-8.2.lib;vtkViewsInfovis-8.2.lib;vtkViewsQt-8.2.lib;vtkzlib-8.2.lib;opencv_world400d.lib;cudart_static.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
    <CudaCompile>
      <TargetMachinePlatform>64</TargetMachinePlatform>
    </CudaCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;WIN64;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <SubSystem>Console</SubSystem>
      <AdditionalDependencies>cudart_static.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;OpenCL.lib;ITKBiasCorrection-5.0.lib;ITKCommon-5.0.lib;ITKDICOMParser-5.0.lib;itkdouble-conversion-5.0.lib;ITKEXPAT-5.0.lib;itkgdcmcharls-5.0.lib;itkgdcmCommon-5.0.lib;itkgdcmDICT-5.0.lib;itkgdcmDSED-5.0.lib;itkgdcmIOD-5.0.lib;itkgdcmjpeg12-5.0.lib;itkgdcmjpeg16-5.0.lib;itkgdcmjpeg8-5.0.lib;itkgdcmMEXD-5.0.lib;itkgdcmMSFF-5.0.lib;itkgdcmopenjp2-5.0.lib;itkgdcmsocketxx-5.0.lib;ITKgiftiio-5.0.lib;ITKIOBioRad-5.0.lib;ITKIOBMP-5.0.lib;ITKIOBruker-5.0.lib;ITKIOCSV-5.0.lib;ITKIOGDCM-5.0.lib;ITKIOGE-5.0.lib;ITKIOGIPL-5.0.lib;ITKIOHDF5-5.0.lib;ITKIOImageBase-5.0.lib;ITKIOIPL-5.0.lib;ITKIOJPEG-5.0.lib;ITKIOJPEG2000-5.0.lib;ITKIOLSM-5.0.lib;ITKIOMeshBase-5.0.lib;ITKIOMeshBYU-5.0.lib;ITKIOMeshFreeSurfer-5.0.lib;ITKIOMeshGifti-5.0.lib;ITKIOMeshOBJ-5.0.lib;ITKIOMeshOFF-5.0.lib;ITKIOMeshVTK-5.0.lib;ITKIOMeta-5.0.lib;ITKIOMINC-5.0.lib;ITKIOMRC-5.0.lib;ITKIONIFTI-5.0.lib;ITKIONRRD-5.0.lib;ITKIOPNG-5.0.lib;ITKIOSiemens-5.0.lib;ITKIOSpatialObjects-5.0.lib;ITKIOStimulate-5.0.lib;ITKIOTIFF-5.0.lib;ITKIOTransformBase-5.0.lib;ITKIOTransformHDF5-5.0.lib;ITKIOTransformInsightLegacy-5.0.lib;ITKIOTransformMatlab-5.0.lib;ITKIOVTK-5.0.lib;ITKIOXML-5.0.lib;itkjpeg-5.0.lib;ITKKLMRegionGrowing-5.0.lib;ITKLabelMap-5.0.lib;itklbfgs-5.0.lib;ITKMesh-5.0.lib;ITKMetaIO-5.0.lib;itkminc2-5.0.lib;itknetlib-5.0.lib;itkNetlibSlatec-5.0.lib;ITKniftiio-5.0.lib;ITKNrrdIO-5.0.lib;itkopenjpeg-5.0.lib;ITKOptimizers-5.0.lib;ITKOptimizersv4-5.0.lib;ITKPath-5.0.lib;itkpng-5.0.lib;ITKPolynomials-5.0.lib;ITKQuadEdgeMesh-5.0.lib;ITKSpatialObjects-5.0.lib;ITKStatistics-5.0.lib;itksys-5.0.lib;ITKTestKernel-5.0.lib;itktestlib-5.0.lib;itktiff-5.0.lib;ITKTransform-5.0.lib;ITKTransformFactory-5.0.lib;itkv3p_netlib-5.0.lib;itkvcl-5.0.lib;ITKVideoCore-5.0.lib;ITKVideoIO-5.0.lib;itkvnl-5.0.lib;ITKVNLInstantiation-5.0.lib;itkvnl_algo-5.0.lib;ITKVTK-5.0.lib;ITKWatersheds-5.0.lib;itkzlib-5.0.lib;ITKznz-5.0.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
    <CudaCompile>
      <TargetMachinePlatform>64</TargetMachinePlatform>
    </CudaCompile>
  </ItemDefinitionGroup>
  <ItemGroup>
    <CudaCompile Include="CUDAdrr.cu" />
    <CudaCompile Include="kernel.cu" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="main.cpp" />
    <ClCompile Include="socketManager.cpp" />
    <ClCompile Include="drr.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="CUDAdrr.cuh" />
    <ClInclude Include="socketManager.h" />
    <ClInclude Include="drr.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
    <Import Project="$(VCTargetsPath)\BuildCustomizations\CUDA 11.0.targets" />
  </ImportGroup>
</Project>